/*  
	Copyright
	----------
	
	InfoLink©2009 by Gnomx.at.
	
    This file is part of InfoLink.

    InfoLink is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    InfoLink is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with InfoLink.  If not, see <http://www.gnu.org/licenses/>.
*/

(function() {
	
	tinymce.create('tinymce.plugins.infoLinkPlugin', {
		
		getInfo : function() {
			return {
				longname : 'InfoLink',
				author : 'Sirlon',
				authorurl : 'http://www.gnomx.at',
				infourl : 'http://www.gnomx.at/infolink',
				version : tinymce.majorVersion + "." + tinymce.minorVersion
			};
		},
		
		init : function(ed, url) {
			var t = this, cm;

			t.url = url;
			t.editor = ed;
			t.bimg = url+'/img/def.gif';
			
			
			
			
			},
		
		createControl: function(n, cm) {
			var t = this, ed = t.editor;
			var u = 'google';
			switch(n) {
				case 'infolink' :
					var c = cm.createSplitButton('infolink', {
							title : 'InfoLink',
							image : t.bimg ,
							onclick : function() {
								open_W(u, t);
								}
						});
					
					c.onRenderMenu.add(function(c, m) {
							
											
							// Wikipedia EN
							wikisub = m.addMenu({title : 'Wikipedia'});
							var w1 = wikisub.add({ 
								  title : 'English Wiki',
								  onclick : function() {
												u = 'en.wikipedia.org';
												 open_W(u, t);
												unselect();
												w1.setSelected(1);
								  			}
								  });
							
							// Wikipedia DE
							var w2 = wikisub.add({ 
								  title : 'German Wiki',
								  onclick : function() {
												u = 'de.wikipedia.org';
												open_W(u, t);
												unselect();
												w2.setSelected(1);
								  			}
								  });
							
							m.addSeparator();
							
							 imdbsub = m.addMenu({title : 'IMDB'});
							
							// IMDB EN
							var im1 = imdbsub.add({ 
								  title : 'English IMDB',
								  onclick : function() {
												u = 'imdb.com';
												open_W(u, t);
												unselect();
												im1.setSelected(1);
								  			}
								  });
							
							// IMDB DE
							var im2 = imdbsub.add({ 
								  title : 'German IMDB',
								  onclick : function() {
												u = 'imdb.de';
												open_W(u, t);
												unselect();
												im2.setSelected(1);
								  			}
								  });
							
							// RottenTomatoes.com
							m.addSeparator();
							var rt = m.add({
								  title : 'Rotten Tomatoes',
								  onclick : function() {
									  			u = 'rottentomatoes.com';
												open_W(u, t);
												rt.setSelected(1);
								  			}
										   });
							// IGN
							m.addSeparator();
							var ign = m.add({
								  title : 'IGN.com',
								  onclick : function() {
									  			u = 'ign.com';
												open_W(u, t);
												ign.setSelected(1);
								  			}
										   });
							
							//Google
							m.addSeparator();
							var gs = m.add({
								  title : 'Search the Web',
								  onclick : function() {
									  			u = 'google';
												open_W(u, t);
												gs.setSelected(1);
								  			}
								  });
							
							gs.setSelected(1);
							mitems = new Array(w1,w2,im1,im2,rt,ign,gs);
							function unselect(){
								for(i=0; i < mitems.length; i++){
									mitems[i].setSelected(0);
			
								}
							}
						});
					
				return c;
				
			}
			
			
			
			
			function open_W(ilink, t) {
				var ed = t.editor;
				
				ed.windowManager.open({
					url : t.url+'/window.html',
   					width : 325,
   					height : 240,
					inline: 1
				}, {
   					url : t.url,
					service_url : ilink
				});
				
			}
			
			
			
		
			
			return null;
		},
				   
	});
	tinymce.PluginManager.add('infolink', tinymce.plugins.infoLinkPlugin);
})();